void motor_open() {
  pinMode(PIN_DIR_L, OUTPUT);
  pinMode(PIN_PWM_L, OUTPUT);
  pinMode(PIN_DIR_R, OUTPUT);
  pinMode(PIN_PWM_R, OUTPUT);
  analogWrite(PIN_PWM_L, 0);
  analogWrite(PIN_PWM_R, 0);
  
  pinMode(PIN_DIR_S, OUTPUT);
  pinMode(PIN_PWM_S, OUTPUT);
  
  digitalWrite(PIN_PWM_S, 0);//digital
}

void motor_set(int pwm_l, int pwm_r) {
  // モータ回転方向の補正
  pwm_l *= -1;
  //pwm_r *= -1;

  if (pwm_l >  255) pwm_l =  255;
  if (pwm_l < -255) pwm_l = -255;
  if (pwm_r >  255) pwm_r =  255;
  if (pwm_r < -255) pwm_r = -255;

  if (pwm_l > 0) {
    digitalWrite(PIN_DIR_L, HIGH);
    analogWrite(PIN_PWM_L, pwm_l);
  } else {
    digitalWrite(PIN_DIR_L, LOW);
    analogWrite(PIN_PWM_L, -pwm_l);
  }
  if (pwm_r > 0) {
    digitalWrite(PIN_DIR_R, HIGH);
    analogWrite(PIN_PWM_R, pwm_r);
  } else {
    digitalWrite(PIN_DIR_R, LOW);
    analogWrite(PIN_PWM_R, -pwm_r);
  }
}

void motor_set_s(int pwm_s) {
  // モータ回転方向の補正
 // pwm_s *= -1;
  

  if (pwm_s >  255) pwm_s =  255;
  if (pwm_s < -255) pwm_s = -255;
 

  if (pwm_s > 0) {
    digitalWrite(PIN_DIR_S, HIGH);
    digitalWrite(PIN_PWM_S, pwm_s);
    Serial.println("aaaaaaaaaaaaaaaaaaaaa");
  } else {
    digitalWrite(PIN_DIR_S, LOW);
    digitalWrite(PIN_PWM_S, -pwm_s);
  }
  
}
